OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ProgramInterfaceQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBProgramInterfaceQuery :: MonadIO m => m Bool
- gl_ARB_program_interface_query :: Bool
- gl_ACTIVE_RESOURCES :: GLenum
- gl_ACTIVE_VARIABLES :: GLenum
- gl_ARRAY_SIZE :: GLenum
- gl_ARRAY_STRIDE :: GLenum
- gl_ATOMIC_COUNTER_BUFFER :: GLenum
- gl_ATOMIC_COUNTER_BUFFER_INDEX :: GLenum
- gl_BLOCK_INDEX :: GLenum
- gl_BUFFER_BINDING :: GLenum
- gl_BUFFER_DATA_SIZE :: GLenum
- gl_BUFFER_VARIABLE :: GLenum
- gl_COMPATIBLE_SUBROUTINES :: GLenum
- gl_COMPUTE_SUBROUTINE :: GLenum
- gl_COMPUTE_SUBROUTINE_UNIFORM :: GLenum
- gl_FRAGMENT_SUBROUTINE :: GLenum
- gl_FRAGMENT_SUBROUTINE_UNIFORM :: GLenum
- gl_GEOMETRY_SUBROUTINE :: GLenum
- gl_GEOMETRY_SUBROUTINE_UNIFORM :: GLenum
- gl_IS_PER_PATCH :: GLenum
- gl_IS_ROW_MAJOR :: GLenum
- gl_LOCATION :: GLenum
- gl_LOCATION_INDEX :: GLenum
- gl_MATRIX_STRIDE :: GLenum
- gl_MAX_NAME_LENGTH :: GLenum
- gl_MAX_NUM_ACTIVE_VARIABLES :: GLenum
- gl_MAX_NUM_COMPATIBLE_SUBROUTINES :: GLenum
- gl_NAME_LENGTH :: GLenum
- gl_NUM_ACTIVE_VARIABLES :: GLenum
- gl_NUM_COMPATIBLE_SUBROUTINES :: GLenum
- gl_OFFSET :: GLenum
- gl_PROGRAM_INPUT :: GLenum
- gl_PROGRAM_OUTPUT :: GLenum
- gl_REFERENCED_BY_COMPUTE_SHADER :: GLenum
- gl_REFERENCED_BY_FRAGMENT_SHADER :: GLenum
- gl_REFERENCED_BY_GEOMETRY_SHADER :: GLenum
- gl_REFERENCED_BY_TESS_CONTROL_SHADER :: GLenum
- gl_REFERENCED_BY_TESS_EVALUATION_SHADER :: GLenum
- gl_REFERENCED_BY_VERTEX_SHADER :: GLenum
- gl_SHADER_STORAGE_BLOCK :: GLenum
- gl_TESS_CONTROL_SUBROUTINE :: GLenum
- gl_TESS_CONTROL_SUBROUTINE_UNIFORM :: GLenum
- gl_TESS_EVALUATION_SUBROUTINE :: GLenum
- gl_TESS_EVALUATION_SUBROUTINE_UNIFORM :: GLenum
- gl_TOP_LEVEL_ARRAY_SIZE :: GLenum
- gl_TOP_LEVEL_ARRAY_STRIDE :: GLenum
- gl_TRANSFORM_FEEDBACK_VARYING :: GLenum
- gl_TYPE :: GLenum
- gl_UNIFORM :: GLenum
- gl_UNIFORM_BLOCK :: GLenum
- gl_VERTEX_SUBROUTINE :: GLenum
- gl_VERTEX_SUBROUTINE_UNIFORM :: GLenum
- glGetProgramInterfaceiv :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetProgramResourceIndex :: MonadIO m => GLuint -> GLenum -> Ptr GLchar -> m GLuint
- glGetProgramResourceLocation :: MonadIO m => GLuint -> GLenum -> Ptr GLchar -> m GLint
- glGetProgramResourceLocationIndex :: MonadIO m => GLuint -> GLenum -> Ptr GLchar -> m GLint
- glGetProgramResourceName :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetProgramResourceiv :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLint -> m ()

# Extension Support

glGetARBProgramInterfaceQuery :: MonadIO m => m Bool

Is the ARB_program_interface_query extension supported?

gl_ARB_program_interface_query :: Bool

Is the ARB_program_interface_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBProgramInterfaceQuery` in those cases instead.

# Enums

gl_ACTIVE_RESOURCES :: GLenum

gl_ACTIVE_VARIABLES :: GLenum

gl_ARRAY_SIZE :: GLenum

gl_ARRAY_STRIDE :: GLenum

gl_ATOMIC_COUNTER_BUFFER :: GLenum

gl_ATOMIC_COUNTER_BUFFER_INDEX :: GLenum

gl_BLOCK_INDEX :: GLenum

gl_BUFFER_BINDING :: GLenum

gl_BUFFER_DATA_SIZE :: GLenum

gl_BUFFER_VARIABLE :: GLenum

gl_COMPATIBLE_SUBROUTINES :: GLenum

gl_COMPUTE_SUBROUTINE :: GLenum

gl_COMPUTE_SUBROUTINE_UNIFORM :: GLenum

gl_FRAGMENT_SUBROUTINE :: GLenum

gl_FRAGMENT_SUBROUTINE_UNIFORM :: GLenum

gl_GEOMETRY_SUBROUTINE :: GLenum

gl_GEOMETRY_SUBROUTINE_UNIFORM :: GLenum

gl_IS_PER_PATCH :: GLenum

gl_IS_ROW_MAJOR :: GLenum

gl_LOCATION :: GLenum

gl_LOCATION_INDEX :: GLenum

gl_MATRIX_STRIDE :: GLenum

gl_MAX_NAME_LENGTH :: GLenum

gl_MAX_NUM_ACTIVE_VARIABLES :: GLenum

gl_MAX_NUM_COMPATIBLE_SUBROUTINES :: GLenum

gl_NAME_LENGTH :: GLenum

gl_NUM_ACTIVE_VARIABLES :: GLenum

gl_NUM_COMPATIBLE_SUBROUTINES :: GLenum

gl_OFFSET :: GLenum

gl_PROGRAM_INPUT :: GLenum

gl_PROGRAM_OUTPUT :: GLenum

gl_REFERENCED_BY_COMPUTE_SHADER :: GLenum

gl_REFERENCED_BY_FRAGMENT_SHADER :: GLenum

gl_REFERENCED_BY_GEOMETRY_SHADER :: GLenum

gl_REFERENCED_BY_TESS_CONTROL_SHADER :: GLenum

gl_REFERENCED_BY_TESS_EVALUATION_SHADER :: GLenum

gl_REFERENCED_BY_VERTEX_SHADER :: GLenum

gl_SHADER_STORAGE_BLOCK :: GLenum

gl_TESS_CONTROL_SUBROUTINE :: GLenum

gl_TESS_CONTROL_SUBROUTINE_UNIFORM :: GLenum

gl_TESS_EVALUATION_SUBROUTINE :: GLenum

gl_TESS_EVALUATION_SUBROUTINE_UNIFORM :: GLenum

gl_TOP_LEVEL_ARRAY_SIZE :: GLenum

gl_TOP_LEVEL_ARRAY_STRIDE :: GLenum

gl_TRANSFORM_FEEDBACK_VARYING :: GLenum

gl_TYPE :: GLenum

gl_UNIFORM :: GLenum

gl_UNIFORM_BLOCK :: GLenum

gl_VERTEX_SUBROUTINE :: GLenum

gl_VERTEX_SUBROUTINE_UNIFORM :: GLenum

# Functions

glGetProgramInterfaceiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `programInterface`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glGetProgramResourceIndex

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `programInterface`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m GLuint |

Manual page for OpenGL 4.x.

glGetProgramResourceLocation

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `programInterface`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m GLint |

Manual page for OpenGL 4.x.

glGetProgramResourceLocationIndex

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `programInterface`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m GLint |

Manual page for OpenGL 4.x.

glGetProgramResourceName

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `programInterface`.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `name` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetProgramResourceiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `programInterface`.
-> GLuint | `index`.
-> GLsizei | `propCount`.
-> Ptr GLenum | `props` pointing to `propCount` elements of type `GLenum`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLint | `params` pointing to `bufSize` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.